Bug 178523 - [PATCH] textproc/libxslt: Put the fastest MASTER_SITE first
[PATCH] textproc/libxslt: Put the fastest MASTER_SITE first
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gnome
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 05:50 UTC by koobs.freebsd
Modified: 2013-05-15 06:30 UTC (History)
1 user (show)

See Also:


Attachments
libxslt-1.1.28_1.patch (710 bytes, patch)
2013-05-12 05:50 UTC, koobs.freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs.freebsd 2013-05-12 05:46:29 UTC
>Number:         178523
>Category:       ports
>Synopsis:       [PATCH] textproc/libxslt: Put the fastest MASTER_SITE first
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Sun May 12 04:50:00 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     Kubilay Kocak
>Release:        FreeBSD 9.1-STABLE amd64
>Organization:
>Environment:
System: FreeBSD freebsd-RELENG_9-amd64.elysium 9.1-STABLE FreeBSD 9.1-STABLE #0 r249542: Sun Apr 21 21:01:52 EST
>Description:
gd.tuwien.ac.at is a mirror for the libxml2 project, and frequently
exhibits extremely slow throughput (<= 8k/sec) causing installation
and upgrade to unecessarily take a long time.

This change also matches the textproc/libxml2 MASTER_SITES order.

Switch the order of MASTER_SITES, making the primary download host [1] of the libxml2
project first in the list.

make checksum confirms distinfo match

[1] http://www.xmlsoft.org/downloads.html

Port maintainer (gnome@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_7 (mode: change, diff: ports)
>How-To-Repeat:
>Fix:

--- libxslt-1.1.28_1.patch begins here ---
diff -ruN /usr/ports/textproc/libxslt/Makefile ./Makefile
--- /usr/ports/textproc/libxslt/Makefile	2013-05-04 02:36:39.000000000 +1000
+++ ./Makefile	2013-05-12 13:52:59.824713312 +1000
@@ -1,12 +1,12 @@
 # Created by: Ade Lovett <ade@FreeBSD.org>
-# $FreeBSD: textproc/libxslt/Makefile 317220 2013-05-03 16:36:39Z ehaupt $
+# $FreeBSD: head/textproc/libxslt/Makefile 317220 2013-05-03 16:36:39Z ehaupt $
 
 PORTNAME=	libxslt
 PORTVERSION=	1.1.28
 PORTREVISION?=	1
 CATEGORIES?=	textproc gnome
-MASTER_SITES=	ftp://gd.tuwien.ac.at/pub/libxml/ \
-		ftp://xmlsoft.org/libxml2/
+MASTER_SITES=	ftp://xmlsoft.org/libxml2/ \
+		ftp://gd.tuwien.ac.at/pub/libxml/
 DIST_SUBDIR=	gnome2
 
 MAINTAINER?=	gnome@FreeBSD.org
--- libxslt-1.1.28_1.patch ends here ---

>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 koobs.freebsd 2013-05-12 05:50:00 UTC
gd.tuwien.ac.at is a mirror for the libxml2 project, and frequently
exhibits extremely slow throughput (<= 8k/sec) causing installation
and upgrade to unecessarily take a long time.

This change also matches the textproc/libxml2 MASTER_SITES order.

Switch the order of MASTER_SITES, making the primary download host [1] of the libxml2
project first in the list.

make checksum confirms distinfo match

[1] http://www.xmlsoft.org/downloads.html

Port maintainer (gnome@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_7 (mode: change, diff: ports)
Comment 2 Edwin Groothuis freebsd_committer 2013-05-12 05:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Koop Mast freebsd_committer 2013-05-13 16:36:54 UTC
State Changed
From-To: open->closed

Committed thanks!
Comment 4 dfilter freebsd_committer 2013-05-13 16:36:57 UTC
Author: kwm
Date: Mon May 13 15:36:50 2013
New Revision: 318108
URL: http://svnweb.freebsd.org/changeset/ports/318108

Log:
  Put faster site first [1], while here add http mirror.
  
  PR:		ports/178523 [1]
  Submitted by:	Kubilay Kocak <koobs.freebsd@gmail.com>

Modified:
  head/textproc/libxslt/Makefile

Modified: head/textproc/libxslt/Makefile
==============================================================================
--- head/textproc/libxslt/Makefile	Mon May 13 15:32:29 2013	(r318107)
+++ head/textproc/libxslt/Makefile	Mon May 13 15:36:50 2013	(r318108)
@@ -5,8 +5,9 @@ PORTNAME=	libxslt
 PORTVERSION=	1.1.28
 PORTREVISION?=	1
 CATEGORIES?=	textproc gnome
-MASTER_SITES=	ftp://gd.tuwien.ac.at/pub/libxml/ \
-		ftp://xmlsoft.org/libxml2/
+MASTER_SITES=	ftp://xmlsoft.org/libxml2/ \
+		http://xmlsoft.org/sources/ \
+		ftp://gd.tuwien.ac.at/pub/libxml/
 DIST_SUBDIR=	gnome2
 
 MAINTAINER?=	gnome@FreeBSD.org
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"